Skip to content

Get all bound MFA authentication factors

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

GenAuth currently supports four types of MFA authentication factors: SMS, email verification code, OTP, and face.

Method name

AuthenticationClient.listEnrolledFactors

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Sample code

ts
import { AuthenticationClient, Models } from "authing-node-sdk";

const authenticationClient = new AuthenticationClient({
  // Need to replace with your GenAuth AppId, Secret and Host
  appId: "GEN_AUTH_APP_ID",
  appSecret: "GEN_AUTH_APP_SECRET",
  appHost: "GEN_AUTH_APP_HOST",
});

(async () => {
  // Please call the login interface to obtain access_token first, and call the setAccessToken method to set access_token
  authenticationClient.setAccessToken("REPLACE_ME_WITH_REAL_ACCESS_TOKEN");

  const result = await authenticationClient.listEnrolledFactors();

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: ListEnrolledFactorsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayMFA Factor list

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "factorId": "6229ffaxxxxxxxxcade3e3d9",
    "factorType": "SMS",
    "profile": {
      "phoneNumber": "188xxxx8888",
      "phoneCountryCode": "+86"
    }
  }
}

Data structure

FactorDto

NameTypeIs it required?DescriptionExample value
factorIdstringyesMFA authentication factor ID6229ffaxxxxxxxxcade3e3d9
factorTypestringyesMFA authentication factor typeOTP
profileobjectyesMFA authentication factor information{"phoneNumber":"188xxxx8888","phoneCountryCode":"+86"}

Agent infrastructure for identity, memory, and web action.